Name:		siril
Version:	0.8
Release:	10%{?dist}
Summary:	Siril is an astronomical image processing software for Linux

License:	GPLv2+
Group:		Applications/Engineering
URL:		http://sourceforge.net/projects/siril/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         siril-0.8-nobuf.patch
Patch1:         siril-0.8-c99.patch
Patch2:         siril-0.8-overflows.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk+-devel, fftw3-devel, cfitsio-devel, netpbm-devel
Requires:	gtk+, fftw3, cfitsio

%description
SIRIL is an abbreviation for nothing except IRIS reversed with
a trailing L added for linux(though Siril has nothing linux-specific). 
It's an astronomical image processing software for Linux.

%prep
%setup -q
%patch0 -p1 -b .nobuf
%patch1 -p1 -b .c99
%patch2 -p1 -b .overflows

%build
%configure
make 'CFLAGS=%{optflags} -I/usr/include/cfitsio' %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -Dm 755 src/siril $RPM_BUILD_ROOT%{_bindir}/siril
install -Dm 644 pixmaps/siril_1.xpm  $RPM_BUILD_ROOT%{_datadir}/siril/pixmaps/siril_1.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS README INSTALL
%{_bindir}/siril
%dir %{_datadir}/siril
%dir %{_datadir}/siril/pixmaps
%{_datadir}/siril/pixmaps/siril_1.xpm

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 3 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.8-9
- Fix build
- Fix out of string bound writes (#494536)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 4 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.8-7
- Fix crash on incorrectly loaded pictures (#494536)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8-5
- Include unowned directories

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8-4
- Autorebuild for GCC 4.3

* Sat Nov 24 2007 Marek Mahut <mmahut@fedoraproject.org> - 0.8-3
- Initial build.
